import 'package:flutter/material.dart';
import 'package:adeptviews/src/preference/preference_service.dart';

class PreferenceHider extends StatelessWidget {
  final List<Widget> preferences;
  final String hidePref;
  final bool defaultVal;

  PreferenceHider(this.preferences, this.hidePref, {this.defaultVal = true});

  @override
  Widget build(BuildContext context) {
    if (PrefService.getBool(hidePref) ?? defaultVal) return SizedBox();
    return Column(
      children: preferences,
      crossAxisAlignment: CrossAxisAlignment.start,
    );
  }
}
